## dpkg 1.14.7maemo5

=== debian/changelog ===
dpkg (1.14.7maemo5) unstable; urgency=low

  [ Marius Vollmer, for maemo ]

  * Added dependency on perl-base to dpkg since perl-base is needed but
    not included in our configurations despite being essential.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Thu, 10 Apr 2008 14:29:01 +0300

dpkg (1.14.7maemo4) unstable; urgency=low

  [ Marius Vollmer, for maemo ]

  * dpkg.postinst: Do not fail when the /etc/rc?.d directories do not
    exist.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Wed, 09 Jan 2008 16:33:18 +0200

dpkg (1.14.7maemo3) unstable; urgency=low

  * Call autogen.sh instead of autoreconf in debian/rules.
  
 -- Marius Vollmer <marius.vollmer@nokia.com>  Wed, 19 Dec 2007 15:01:17 +0200

dpkg (1.14.7maemo2) unstable; urgency=low

  [ Marius Vollmer, for maemo ]

  * Pin perl to /usr/bin/perl so that we don't pick up the Scratchbox
    version of perl.  Thank you Scratchbox.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Wed, 05 Dec 2007 16:40:02 +0200

dpkg (1.14.7maemo1) experimental; urgency=low

  [ Marius Vollmer, for maemo ]

  * Call autoheader in autogen.sh

 -- Marius Vollmer <marius.vollmer@nokia.com>  Tue, 04 Dec 2007 16:05:35 +0200

dpkg (1.14.7maemo0) experimental; urgency=low

  [ Marius Vollmer, for maemo ]
  
  * Changed maintainer and origin.
  * Added maemo origin file.
  * Moved man pages and translations from dpkg to dpkg-dev.
  * Never compile with libselinux, removed from Build-Depends.
  * Removed po4a from Build-Depends, fingers crossed.
  * Removed versioned core-utils from Pre-Depends so that busybox can
    satisfy it.
  * Disabled logging to /var/log/dpkg.log
  
 -- Marius Vollmer <marius.vollmer@nokia.com>  Tue, 04 Dec 2007 15:39:22 +0200

dpkg (1.14.7) unstable; urgency=low

  [ Guillem Jover ]
  * Add back $dpkglib into @INC, needed by the controllib.pl require in
    822-date. Closes: #440962
  * Document in dpkg-scanpackages that apt now requires Packages.bz2 in
    preference to Packages.gz. Closes: #440973
  * Stop recognizing the obsolete Optional field when building packages.
  * Use fakeroot, if present, by default to gain root privileges in
    dpkg-buildpackage.
  * Fix typos in dpkg-deb.1 and start-stop-daemon.8. Closes: #441051
    Thanks to A. Costa.
  * After '<prerm> remove' fails and while doing the error unwinding, if
    the '<postinst> abort-remove' call succeeds, preserve the old status
    instead of unconditionally setting it to 'Installed'. Closes: #432893
    Thanks to Brian M. Carlson.
  * Add Vcs-Browser and Vcs-Git fields to debian/control.
  * Add a Homepage field to debian/control (to be changed later when
    there's a more formal site).
  * Allow comparing unsupported architectures for equality and identity.
    Based on a patch by Frank Lichtenheld. Closes: #427210
  * Document Origin and Bugs fields in deb-control.5. Closes: #173463
  * Do not replace substvars for build dependencies (it was not supported
    anyway).

  [ Frank Lichtenheld ]
  * Add _MTN to dpkg-source -i default regex. Suggested by Jari Aalto.
  * Convert dpkg-buildpackage to a Perl script.
    Fix some bugs in the new script detected in experimental:
    Closes: #444362
  * dpkg-buildpackage accepts a -j<n> option now which will set
    MAKEFLAGS(-j<n>) and DEB_BUILD_OPTIONS(parallel=<n>) accordingly.
    parallel=<n> in DEB_BUILD_OPTIONS will be passed to MAKEFLAGS as
    well. Based on an idea by Robert Millan. Closes: #440636
  * Allow dpkg-source -I without a pattern which will load a default
    list of pattern similar to -i without regexp. Patch by
    Jari Aalto. Closes: #440972
  * Rework documentation of dpkg-source's -i and -I options.
    Closes: #323911, #440956
  * Add --utf8-strings to gpg call in dpkg-buildpackage since
    that seems to be the better default. Suggested by Székelyi Szabolcs.
    Closes: #379418
  * Let dpkg-buildpackage error out early if the version number from
    the changelog is not a valid Debian version. Closes: #216075
  * Fix dpkg-source to create correct diffs for files with spaces in
    their name (apparantly we don't have many of those ;).
    Based on a patch by Marcel Toele. Closes: #445380

  [ Updated dpkg translations ]
  * Basque (Piarres Beobide). Closes: #440859
  * Danish (Claus Hindsgaul). Closes: #441106
  * French (Frédéric Bothamy).
  * German (Sven Joachim). Closes: #440537
  * Nepali (Shiva Prasad Pokharel). Closes: #437825
  * Portuguese (Miguel Figueiredo). Closes: #441113
  * Romanian (Eddy Petri?or).
  * Vietnamese (Clytie Siddall). Closes: #440502
  * Korean (Sunjae Park). Closes: #443190

  [ Updated man pages translations ]
  * German (Helge Kreutzmann).
  * Swedish (Peter Karlsson).
  * Korean (Sunjae Park). Closes: #443191

  [ Updated scripts translations ]
  * Correct a typo in the French translation. Closes: #443276
  * Swedish (Peter Karlsson).

 -- Guillem Jover <guillem@debian.org>  Mon, 08 Oct 2007 07:31:34 +0300

dpkg (1.14.6) unstable; urgency=low

  [ Frank Lichtenheld ]
  * Synchronise usage information of dpkg, dpkg-deb, and
    dpkg-query man pages. This fixes some small mistakes
    and also Closes: #321520

  [ Guillem Jover ]
  * Man pages cleanup:
    - Some italics and bold fixes.
    - Unify ellipsis, argument separator, and remove redundant program name
      preceding the options.
    - Substitute 'FILES' header with 'SEE ALSO' in dpkg-buildpackage(1),
      and remove leftover string from man page split. Closes: #439306
    - Split option descriptions so that it gets easier to distinguish.
    - Unify author and copyright information formatting.
  * Move variables automatically modified at build time for the perl scripts
    to a new style perl module (Dpkg) and make all programs use it.
  * Switch 'dpkg-gettext.pl' to a new style perl module (Dpkg::Gettext).
  * Implement support for Breaks field. Closes: #379140
    Thanks to Ian Jackson.
  * Run the deconfiguration of each package to be deconfigured once, instead

