=== debian/control ===
Source: dpkg
Section: admin
Priority: required
Maintainer: Marius Vollmer <marius.vollmer@nokia.com>
Origin: maemo
Bugs: debbugs://bugs.debian.org
Homepage: http://wiki.debian.org/Teams/Dpkg
Vcs-Browser: http://git.debian.org/?p=dpkg/dpkg.git
Vcs-Git: git://git.debian.org/git/dpkg/dpkg.git
Standards-Version: 3.7.2
Build-Depends: debhelper (>= 4.1.81), pkg-config,
 libncurses5-dev | libncurses-dev, zlib1g-dev (>= 1:1.1.3-19.1), libbz2-dev

Package: dpkg
Architecture: any
Essential: yes
Pre-Depends: ${shlibs:Depends}
Conflicts: sysvinit (<< 2.82-1), dpkg-iasearch (<< 0.11), dpkg-static,
 dpkg-dev (<< 1.14.6)
Replaces: dpkg-doc-ja, dpkg-static, manpages-de (<= 0.4-3),
 manpages-pl (<= 20051117-1)
Suggests: apt, lzma
Depends: perl-base
Description: package maintenance system for Debian
 This package contains the low-level commands for handling the installation
 and removal of packages on your system.
 .
 In order to unpack and build Debian source packages you will need to
 install the developers' package `dpkg-dev' as well as this one.

Package: dpkg-dev
Section: utils
Priority: optional
Architecture: all
Depends: dpkg (>= 1.14.6), perl5, perl-modules, cpio (>= 2.4.2-2),
 patch (>= 2.2-1), make, binutils
Recommends: gcc | c-compiler, bzip2
Suggests: gnupg, debian-keyring
Conflicts: dpkgname
Replaces: dpkgname, dpkg (<< 1.4.1.8), dpkg-doc-ja, manpages-pl (<= 20051117-1)
Description: package building tools for Debian
 This package contains the tools (including dpkg-source) required to
 unpack, build and upload Debian source packages.
 .
 Most Debian source packages will require additional tools to build -
 for example, most packages need the `make' and the C compiler `gcc'.

Package: dselect
Architecture: any
Depends: ${shlibs:Depends}, dpkg (>= 1.13.1)
Replaces: dpkg (<< 1.10.3)
Description: user tool to manage Debian packages
 dselect is an interface for managing the installation and removal of
 packages on your system.
 .
 Many users find dselect intimidating and new users may prefer to use
 `apt'-based user interfaces.
