## dpkg 1.14.16.6ubuntu3

=== debian/changelog ===
dpkg (1.14.16.6ubuntu3) hardy; urgency=low

  [ Stephan Hermann ]
  * Re-Introduced the "Description" field in *_source.changes files, according
    to Debian Policy.
    This was removed during 1.14.16.6 upload and will be reintroduced in
    1.14.17
    Changes were taken from debians dpkg git Thx to Raphael Herzog for
    pointing this out

  [ Soren Hansen ]
  * Remove NO_PKG_MANGLE to re-enable building of dpkg ddeb's.

 -- Soren Hansen <soren@ubuntu.com>  Wed, 13 Feb 2008 00:58:33 +0100

dpkg (1.14.16.6ubuntu2) hardy; urgency=low

  * Fix wrong call to open in Dpkg/Control.pm that makes using a different
    control file than debian/control fail horribly.
  * Pass NO_PKG_MANGLE environment variable to dh_strip to make this package
    not ftbfs. When this is built, published and in the buildd's, we'll
    reupload without this to regenerate dpkg-dbgsym and such.

 -- Soren Hansen <soren@ubuntu.com>  Mon, 11 Feb 2008 23:41:04 +0100

dpkg (1.14.16.6ubuntu1) hardy; urgency=low

  [ Soren Hansen ]
  * Merge from debian unstable, remaining changes:
   - Add m_strdup to mlib.
   - Use i686 for lpia in cputable and triplettable.
   - Hack Dpkg::Arch to return i686 for lpia.
   - tarfn.c:
     + Avoid freeing uninitialised h.{Link,}Name (can cause crash if .deb
       becomes unreadable while we start up).  (LP #138887)
     + Use m_malloc instead of malloc (and ditch ad-hoc error handling).

   Launchpad integration:
   * Implement changelog-closes-bugs for Ubuntu (see
     https://wiki.ubuntu.com/ClosingBugsFromChangelog).
   * Add Launchpad-Bugs-Fixed to dpkg-genchanges too, to make it not
     complain about unknown fields.

   DebianMaintainerField:
   * scripts/dpkg-source.pl: Check that debian/control complies to
     https://wiki.ubuntu.com/DebianMaintainerField: Refuse to build a source
     package if we have an Ubuntu version number, but Maintainer: is not an
     Ubuntu address. Output a warning if there is no XSBC-Original-Maintainer:
     field for packages with an Ubuntu version number.
   * scripts/dpkg-source.pl: Only fail to build the source package if $DEBEMAIL
     contains 'ubuntu'. If not, only print a warning.
   * debian/control: Change Maintainer/XSBC-Original-Maintainer field.

   Trigger support:
   * Implement triggers as per
     http://lists.debian.org/debian-dpkg/2007/04/msg00076.html (changes too
     massive to enumerate here).
   * Add "Breaks: apt (<< 0.7.6ubuntu6), aptitude (<< 0.4.6.1-1ubuntu2)", as
     triggers add two extra states, which apt and aptitude before then do not
     know about.
   * An early version of trigger support caused LP #133172. To fix which
     systems have had the broken version work we have to rename
     triggers/Deferred to triggers/Unincorp.  The error messages, comments,
     etc. will be improved later.

   Status-fd changes:
   * Changes to --status-fd and logging, motivated by the need to
     fix apt's progress reporting in the presence of triggers (not introduced
     in this version, but accidentally left out of previous merge's changelog
     entry):
    - Call log_action for trigger processing and configuration.
    - Produce "processing:" output on --status-fd for start of
      processing operations (from log_action).
    - Consolidate clone-and-hack --status-fd output writing into
      routine statusfd_send[v].
    - Improve documentation of --status-fd output.
    - Add log message at start of archivefiles() and packages()
      (which will assist debugging).
    - For upgrade, call log_message after printing to stderr,
      as is done elsewhere.
    - avoid closing fsys tarfile pipe twice even in normal
      operation - normally EBADF but might sometimes close some other
      desired fd and cause hideous doom.  (LP #137191)
    - avoid duplicate attempts to [f]close in obscure error
      situations which might conceiveably close wrong fds
    - cast &fd to void* when passing to push_cleanup cu_closefd
    - fix parse.c:parsedb to use ehflag_normaltidy in a sane way
    - when passing &fd to push_cleanup cu_closefd, make fd always static
      In the longer term --status-fd output ought probably to be made
      identical to the log output which is richer and more sanely
      formatted.
  * New with this merge: Added test case for Launchpad-Bugs-Fixed.

  [ Matthias Klose ]
  * dpkg-buildpackage: Set a set of environment variables for setting
    compiler and linker options, unless already set in the environment.
    See https://wiki.ubuntu.com/DistCompilerFlags for the details.

 -- Soren Hansen <soren@ubuntu.com>  Mon, 11 Feb 2008 16:42:49 +0100

dpkg (1.14.16.6) unstable; urgency=medium

  * Let dpkg-gensymbols skip directories which are just symlinks when scanning
    the package build dir.
  * Bump urgency to medium to compensate lost days in testing migration due to
    the two last uploads.

 -- Raphael Hertzog <hertzog@debian.org>  Sat, 26 Jan 2008 19:20:40 +0100

dpkg (1.14.16.5) unstable; urgency=low

  * Fix dpkg-gensymbols handling of #include so that one can include multiple
    times the same file and have it properly taken into account.
  * Add many armel-specific symbols to dpkg-gensymbols' blacklist.
    Closes: #462318

 -- Raphael Hertzog <hertzog@debian.org>  Thu, 24 Jan 2008 14:20:10 +0100

dpkg (1.14.16.4) unstable; urgency=low

  * Import capit in Dpkg::Cdata from Dpkg::Fields. Closes: #462172

 -- Guillem Jover <guillem@debian.org>  Wed, 23 Jan 2008 08:44:32 +0200

dpkg (1.14.16.3) unstable; urgency=low

  [ Raphael Hertzog ]
  * Remove the ":utf8" layer that utf8-encodes already valid utf8.
    Closes: #462098
  * Disable variable substitution in dpkg-genchanges. Closes: #462079, #462089

  [ Guillem Jover ]
  * Make start-stop-daemon set the supplementary groups if the real user or
    group are different than the ones we should switch to. Closes: #462075
  * Fix segfault in start-stop-daemon when using --group w/o --chuid (as

