## dpkg 1.14.16.6ubuntu4

=== debian/changelog ===
dpkg (1.14.16.6ubuntu4) hardy-proposed; urgency=low

  * scripts/Dpkg/Changelog/Debian.pm: Fix instantiation of
    Dpkg::Changelog::Entry class. This fixes the changelog parser to not fail
    when an unexpected changelog entry appears without the preceding heading
    line. Thanks to Morten Kjeldgaard for the patch! (LP: #206790)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 30 May 2008 17:19:36 +0200
