=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,10 @@
 # debian/rules for the dpkg suite.
 # Copyright © 2004 Scott James Remnant <scott@netsplit.com>
 
-CFLAGS = -Wall -g
-CXXFLAGS = -Wall -g
+WFLAGS := -Wall -Wextra -Wno-unused-parameter -Wno-missing-field-initializers
+
+CFLAGS = -g $(WFLAGS)
+CXXFLAGS = -g $(WFLAGS)
 
 # Disable optimisations if ‘noopt’ found in $DEB_BUILD_OPTIONS
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
@@ -28,23 +30,23 @@
 # Don't enable everything on all platforms
 DEB_HOST_ARCH_OS  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
-#ifeq ($(DEB_HOST_ARCH_OS),linux)
-#	confflags += --with-selinux=static
-#endif
+ifeq ($(DEB_HOST_ARCH_OS),linux)
+	confflags += --with-selinux=static
+endif
 
 
 # Create configure script if necessary, automake handles rebuilding it.
 configure:
 	dh_testdir
 
-	./autogen.sh
+	autoreconf -v -i
 
 # Configure the build tree
 build-tree/config.status: configure
 	dh_testdir
 
 	install -d build-tree
-	cd build-tree && PERL=/usr/bin/perl ../configure $(confflags) \
+	cd build-tree && ../configure $(confflags) \
 		CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" \
 		--prefix=/usr \
 		--mandir=\$${datadir}/man \
@@ -53,12 +55,14 @@
 		--localstatedir=/var/lib \
 		--with-zlib=static \
 		--with-bz2=static
+	cp cputable ostable triplettable build-tree/
 
 # Build the package in build-tree
 build: build-tree/config.status
 	dh_testdir
 
 	cd build-tree && $(MAKE)
+	cd build-tree && $(MAKE) check
 
 # Install the package underneath debian/tmp
 install: build
@@ -79,10 +83,8 @@
 	install -d debian/dpkg/sbin
 	mv debian/dpkg/usr/sbin/start-stop-daemon debian/dpkg/sbin
 
-	dh_installchangelogs -pdpkg ChangeLog
-	dh_installdocs -pdpkg
-	install -d debian/dselect/usr/share/doc
-	ln -s dpkg debian/dselect/usr/share/doc/dselect
+	dh_installchangelogs -a ChangeLog
+	dh_installdocs -a
 
 	install -d debian/dpkg/usr/share/lintian/overrides
 	install -m 644 debian/dpkg.lintian-overrides \
@@ -106,8 +108,8 @@
 	dh_testroot -i
 	dh_install --sourcedir=debian/tmp -i
 
-	install -d debian/dpkg-dev/usr/share/doc
-	ln -s dpkg debian/dpkg-dev/usr/share/doc/dpkg-dev
+	dh_installchangelogs -i ChangeLog
+	dh_installdocs -i
 
 	install -d debian/dpkg-dev/usr/share/lintian/overrides
 	install -m 644 debian/dpkg-dev.lintian-overrides \
