## dpkg 1.14.16.6ubuntu4.2

=== debian/changelog ===
dpkg (1.14.16.6ubuntu4.2) hardy-security; urgency=low

  * SECURITY UPDATE: no change rebuild to use the new statically linked libbz2
    which fixed CVE-2010-0405

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 15 Sep 2010 13:29:07 -0500

dpkg (1.14.16.6ubuntu4.1) hardy-security; urgency=low

  * SECURITY UPDATE: arbitrary file overwriting via symlinks and relative
    directories.
    - upstream fixes thanks to Raphael Hertzog, backported inline to
      scripts/dpkg-source.pl.
    - CVE-2010-0396

 -- Kees Cook <kees@ubuntu.com>  Wed, 10 Mar 2010 14:54:24 -0800
