## dpkg 1.14.20ubuntu6

=== debian/changelog ===
dpkg (1.14.20ubuntu6) intrepid; urgency=low

  * Be more liberal when checking for an Ubuntu Maintainer field; a
    case-insensitive check is good enough, and copes e.g. with mplayer's
    "Maintainer: Ubuntu MOTU Media Team <motumedia@tauware.de>".

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 03 Sep 2008 12:50:49 +0100

dpkg (1.14.20ubuntu5) intrepid; urgency=low

  * scripts/Dpkg/Source/Package.pm: Point gpg at
    /usr/share/keyrings/ubuntu-archive-keyring.gpg if it exists.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 19 Aug 2008 17:29:27 +0100

dpkg (1.14.20ubuntu4) intrepid; urgency=low

  * scripts/dpkg-source.pl: Fix the regexp for the DEBEMAIL check to be more
    specific to @ubuntu.com addresses. Addresses like "ubuntu@foo.com" should
    not be considered as official ubuntu developer addresses. (LP: #252262)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 29 Jul 2008 22:12:53 +0200

dpkg (1.14.20ubuntu3) intrepid; urgency=low

  * src/help.c: chdir("/") after chroot().  Not only is this good practice,
    but it works around bug #251223

 -- Matt Zimmerman <mdz@ubuntu.com>  Thu, 24 Jul 2008 18:31:52 +0100

dpkg (1.14.20ubuntu2) intrepid; urgency=low

  * scripts/dpkg-buildpackage.pl, man/dpkg-buildpackage.1: implement
    handling of hardening-wrapper options via DEB_BUILD_OPTIONS
    (Debian bug #489771).

 -- Kees Cook <kees@ubuntu.com>  Thu, 03 Jul 2008 13:18:50 -0700

dpkg (1.14.20ubuntu1) intrepid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    Ubuntu-specific adjustments (probably):
    - Use i686 for lpia in cputable and triplettable.
    - Hack Dpkg::Arch to return i686 for lpia.
    - Pre-depend on lzma.
    - Move various Conflicts to Breaks, since upgrades from stable Ubuntu
      releases support Breaks.
    - Rename triggers/Deferred to triggers/Unincorp to fix upgrades from
      early versions of trigger support in Ubuntu.

    Miscellaneous bug fixes:
    - Avoid closing fsys tarfile pipe twice even in normal operation -
      normally EBADF but might sometimes close some other desired fd and
      cause hideous doom.
    - Avoid duplicate attempts to [f]close in obscure error situations which
      might conceiveably close wrong fds.
    - Add a few more comments around obscure bits of trigger handling code
      which confused both me and Ian during the merge.
    - Revert change to stop outputting a newline after a postinst is run
      (Debian bug #392317).
    - Use the two-arg form of open in Dpkg::Control so that "-" can be
      passed to parse stdin as a control file.

    Launchpad integration:
    - Implement changelog-closes-bugs for Ubuntu (see
      https://wiki.ubuntu.com/ClosingBugsFromChangelog).
    - Add Launchpad-Bugs-Fixed to dpkg-genchanges too, to make it not
      complain about unknown fields.

    DebianMaintainerField:
    - scripts/dpkg-source.pl: Check that debian/control complies with
      https://wiki.ubuntu.com/DebianMaintainerField: If $DEBEMAIL contains
      'ubuntu', refuse to build a source package if we have an Ubuntu
      version number, but Maintainer: is not an Ubuntu address. Output a
      warning if there is no XSBC-Original-Maintainer: field for packages
      with an Ubuntu version number.

    DistCompilerFlags:
    - Point to https://wiki.ubuntu.com/DistCompilerFlags from
      dpkg-buildpackage(1).
    - Set default LDFLAGS to -Wl,-Bsymbolic-functions. (We've already taken
      this hit in Ubuntu.)

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 26 Jun 2008 13:07:53 +0100

dpkg (1.14.20) unstable; urgency=low

  [ Guillem Jover ]
  * Change UTF-8 '©' to '(C)' in deb-version.5 (unfuzzy translations).
  * Document --force-breaks in 'dpkg --force-help' output.
  * Document triggers --debug values in dpkg.1. Thanks to Sven Joachim.
  * Improve package descriptions for dpkg, dpkg-dev and dselect.
    Thanks to Justin B Rye for the review and corrections. Closes: #484002
  * When dpkg-divert does renames do no check the target file if the source
    does not exist and the rename is thus being disabled. This also allows
    to remove bogus diversions. Closes: #476973, #469033
  * Properly close triggers 'File' file, so it does not get leaked to childs.

  [ Raphael Hertzog ]
  * Add missing 'use File::Path' in Dpkg::Source::Package::V3::quilt.
  * Use debian/patches/debian-changes-<version> (without the trailing ".diff")
    as default name for the automatic patch created by the format "3.0
    (quilt)". This ensures a saner cohabitation with patch systems that
    apply all of debian/patches/*.{diff,patch}.
  * Improve patch parser to accept more patches that are accepted by patch
    itself.
  * Correctly skip comments in quilt series files (concerns "3.0 (quilt)" source
    packages). Closes: #486323
  * The automatically created patches (in source package formats "2.0" and
    "3.0 (quilt)") will now contain "/dev/null" as previous filename when the
    patch creates a new file (instead of putting the same name).
  * Set PERL_DL_NONLZY to 1 in perl scripts that are likely to be called in
    package's configuration scripts to work around the perl bug #479711.

  [ Helge Kreutzmann ]
  * Fix a typo in dselect.1.

  [ Updated dpkg translations ]
  * Basque (Piarres Beobide). Closes: #481043
  * Brazilian Portuguese (Felipe Augusto van de Wiel).
  * Catalan (Jordi Mallach). Closes: #383448
  * Czech (Miroslav Kure).
  * Galician (Jacobo Tarrio). Closes: #483441
  * German (Sven Joachim).
  * Norwegian Bokmal (Hans Fredrik Nordhaug). Closes: #480626
  * Polish (Wiktor Wandachowicz).
  * Simplified Chinese (Deng Xiyue). Closes: #483143
  * Swedish (Peter Karlsson).
  * Vietnamese (Clytie Siddall). Closes: #481199

  [ Updated manpages translations ]
  * German (Helge Kreutzmann).
  * Polish (Wiktor Wandachowicz).
  * Swedish (Peter Karlsson).

  [ Updated scripts translations ]
  * French (Christian Perrier).
  * German (Helge Kreutzmann).
  * Polish (Wiktor Wandachowicz).

