## dpkg 1.14.20ubuntu6.3

=== debian/changelog ===
dpkg (1.14.20ubuntu6.3) intrepid-security; urgency=low

  * SECURITY UPDATE: arbitrary file overwriting via symlinks and relative
    directories.
    - upstream fixes thanks to Raphael Hertzog, backported inline to
      scripts/Dpkg/Source/Package/V3/quilt.pm, and
      scripts/Dpkg/Source/Patch.pm b/scripts/Dpkg/Source/Patch.pm.
    - CVE-2010-0396

 -- Kees Cook <kees@ubuntu.com>  Wed, 10 Mar 2010 13:54:45 -0800

dpkg (1.14.20ubuntu6.2) intrepid-proposed; urgency=low

  * Backport from 1.14.21 (Raphael Hertzog):
    - Fix dpkg-source to not use -i and -I by default with "1.0" source
      packages. Closes: #495138, LP: #317761

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 05 Mar 2009 09:37:38 +0000

dpkg (1.14.20ubuntu6.1) intrepid-proposed; urgency=low

  * deal with dpkg database in inconsitent state
    (git commit 4c93e0ea1c95dd9259ae0424766913ade140a4b3)
    LP: #323894

  [ Guillem Jover ]
  * When loading the status file fix up any inconsistent package in state
    triggers-awaited w/o the corresponding package with pending triggers.
    Closes: #487637, #486843, #489068

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 04 Feb 2009 09:30:15 +0100
