## dpkg 1.14.24ubuntu1

=== debian/changelog ===
dpkg (1.14.24ubuntu1) jaunty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    Ubuntu-specific adjustments (probably):
    - Use i686 for lpia in cputable and triplettable.
    - Hack Dpkg::Arch to return i686 for lpia.
    - Move various Conflicts to Breaks, since upgrades from stable Ubuntu
      releases support Breaks.
    - Check source package signatures using
      /usr/share/keyrings/ubuntu-archive-keyring.gpg if it exists.

    Miscellaneous bug fixes:
    - Avoid closing fsys tarfile pipe twice even in normal operation -
      normally EBADF but might sometimes close some other desired fd and
      cause hideous doom.
    - Avoid duplicate attempts to [f]close in obscure error situations which
      might conceiveably close wrong fds.
    - Add a few more comments around obscure bits of trigger handling code
      which confused both me and Ian during the merge.
    - Revert change to stop outputting a newline after a postinst is run
      (Debian #392317).
    - Use the two-arg form of open in Dpkg::Control so that "-" can be
      passed to parse stdin as a control file (Debian #465340).
    - chdir("/") after chroot() when executing maintainer scripts under
      --instdir (Debian #509578).

    Launchpad integration:
    - Implement changelog-closes-bugs for Ubuntu (see
      https://wiki.ubuntu.com/ClosingBugsFromChangelog).
    - Add Launchpad-Bugs-Fixed to dpkg-genchanges too, to make it not
      complain about unknown fields.

    DebianMaintainerField:
    - scripts/dpkg-source.pl: Check that debian/control complies with
      https://wiki.ubuntu.com/DebianMaintainerField: If $DEBEMAIL contains
      '@ubuntu.com', refuse to build a source package if we have an Ubuntu
      version number, but Maintainer: is not an Ubuntu address. Output a
      warning if $DEBEMAIL contains 'ubuntu' but not '@ubuntu.com', or if
      there is no XSBC-Original-Maintainer: field for packages with an
      Ubuntu version number (Debian #426752).

    Build options:
    - Point to https://wiki.ubuntu.com/DistCompilerFlags from
      dpkg-buildpackage(1).
    - Set default LDFLAGS to -Wl,-Bsymbolic-functions. (We've already taken
      this hit in Ubuntu.)
    - Implement handling of hardening-wrapper options via DEB_BUILD_OPTIONS.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 07 Jan 2009 12:11:09 +0000

dpkg (1.14.24) unstable; urgency=low

  [ Raphael Hertzog ]
  * Fix parsing of objdump output (by dpkg-shlibdeps) in a special case where
    the symbol name is separated only with a single space. Closes: #506139
  * Fix dpkg-shlibdeps behaviour when Build-Depends-Package is used in the
    symbols file. It was merging all dependency templates into the generated
    dependency instead of simply modifying the minimal version. Thanks to
    Modestas Vainius <modestas@vainius.eu>. Closes: #507346
  * Fix dpkg-source to correctly extract a source package even when called
    from a non-writable directory when a target directory has been specified
    on the command line. Closes: #507217, #507219

  [ Guillem Jover ]
  * Do not allow installing packages with non-obsolete conffiles owned by
    other packages without a proper Replaces field. Closes: #508392

  [ Updated dselect translations ]
  * Galician (Marce Villarino). Closes: #509887

  [ Updated dpkg translations ]
  * Galician (Marce Villarino). Closes: #509150
  * Vietnamese (Clytie Siddall). Closes: #509424

  [ Updated scripts translations ]
  * Improve German translation.

 -- Guillem Jover <guillem@debian.org>  Mon, 29 Dec 2008 05:38:31 +0100

dpkg (1.14.23ubuntu1) jaunty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    Ubuntu-specific adjustments (probably):
    - Use i686 for lpia in cputable and triplettable.
    - Hack Dpkg::Arch to return i686 for lpia.
    - Move various Conflicts to Breaks, since upgrades from stable Ubuntu
      releases support Breaks.
    - Check source package signatures using
      /usr/share/keyrings/ubuntu-archive-keyring.gpg if it exists.

    Miscellaneous bug fixes:
    - Avoid closing fsys tarfile pipe twice even in normal operation -
      normally EBADF but might sometimes close some other desired fd and
      cause hideous doom.
    - Avoid duplicate attempts to [f]close in obscure error situations which
      might conceiveably close wrong fds.
    - Add a few more comments around obscure bits of trigger handling code
      which confused both me and Ian during the merge.
    - Revert change to stop outputting a newline after a postinst is run
      (Debian #392317).
    - Use the two-arg form of open in Dpkg::Control so that "-" can be
      passed to parse stdin as a control file (Debian #465340).
    - chdir("/") after chroot() when executing maintainer scripts under
      --instdir (Debian #509578).

    Launchpad integration:
    - Implement changelog-closes-bugs for Ubuntu (see
      https://wiki.ubuntu.com/ClosingBugsFromChangelog).
    - Add Launchpad-Bugs-Fixed to dpkg-genchanges too, to make it not
      complain about unknown fields.

    DebianMaintainerField:
    - scripts/dpkg-source.pl: Check that debian/control complies with
      https://wiki.ubuntu.com/DebianMaintainerField: If $DEBEMAIL contains
      '@ubuntu.com', refuse to build a source package if we have an Ubuntu
      version number, but Maintainer: is not an Ubuntu address. Output a
      warning if $DEBEMAIL contains 'ubuntu' but not '@ubuntu.com', or if
      there is no XSBC-Original-Maintainer: field for packages with an
      Ubuntu version number (Debian #426752).

    Build options:
    - Point to https://wiki.ubuntu.com/DistCompilerFlags from
      dpkg-buildpackage(1).
    - Set default LDFLAGS to -Wl,-Bsymbolic-functions. (We've already taken
      this hit in Ubuntu.)
    - Implement handling of hardening-wrapper options via DEB_BUILD_OPTIONS.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 23 Dec 2008 12:57:32 +0000

dpkg (1.14.23) unstable; urgency=low


