## dpkg 1.14.24ubuntu1.1

=== debian/changelog ===
dpkg (1.14.24ubuntu1.1) jaunty-security; urgency=low

  * SECURITY UPDATE: arbitrary file overwriting via symlinks and relative
    directories.
    - upstream fixes thanks to Raphael Hertzog, backported inline to
      scripts/Dpkg/Source/Package/V3/quilt.pm, and
      scripts/Dpkg/Source/Patch.pm b/scripts/Dpkg/Source/Patch.pm.
    - CVE-2010-0396

 -- Kees Cook <kees@ubuntu.com>  Wed, 10 Mar 2010 13:54:45 -0800
