## dpkg 1.14.24ubuntu1.2

=== debian/changelog ===
dpkg (1.14.24ubuntu1.2) jaunty-security; urgency=low

  * SECURITY UPDATE: no change rebuild to use the new statically linked libbz2
    which fixed CVE-2010-0405

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 15 Sep 2010 13:30:46 -0500
