## dpkg 1.14.24ubuntu1.2common0araneo1

=== debian/changelog ===
dpkg (1.14.24ubuntu1.2common0araneo1) jaunty; urgency=low

  * Fix multiple security issues with dpkg-source (CVE-2010-1679):
    - Enhance checks to catch maliciously crafted patches which could modify
      files outside of the unpacked source package.
    - Do not consider a top-level symlink like a directory when
      extracting a tarball.
    - Exclude .pc while extracting the upstream tarball in 3.0 (quilt)
      as patch blindly writes in that directory during unpack (and would
      follow any existing symlink).

 -- Jun Kobayashi <kobayashi@kobayasystem.jp>  Sun, 24 Apr 2011 00:32:48 +0900
