=== debian/rules ===
--- 
+++ 
@@ -55,17 +55,23 @@
 		--localstatedir=/var/lib \
 		--with-zlib=static \
 		--with-bz2=static
-	cp cputable ostable triplettable build-tree/
 
 # Build the package in build-tree
 build: build-tree/config.status
 	dh_testdir
 
 	cd build-tree && $(MAKE)
+
+# Run the test suites
+check: build
+	dh_testdir
+
+ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 	cd build-tree && $(MAKE) check
+endif
 
 # Install the package underneath debian/tmp
-install: build
+install: check
 	dh_testdir
 	dh_testroot
 	dh_clean -k
@@ -106,7 +112,7 @@
 binary-indep: install
 	dh_testdir -i
 	dh_testroot -i
-	dh_install --sourcedir=debian/tmp -i
+	dh_install --sourcedir=debian/tmp -i -XDpkg/Gettext.pm
 
 	dh_installchangelogs -i ChangeLog
 	dh_installdocs -i
@@ -134,4 +140,4 @@
 	dh_clean
 
 
-.PHONY: build install binary-arch binary-indep binary clean
+.PHONY: build check install binary-arch binary-indep binary clean
