## dpkg 1.14.25

=== debian/changelog ===
dpkg (1.14.25) unstable; urgency=low

  [ Guillem Jover ]
  * Fix typo in package description ('privides' -> 'provides').
    Thanks to Pascal De Vuyst <pascal.devuyst@gmail.com>. Closes: #510755
  * Do not lose conffiles while replacing them from another package on the
    same install run. Closes: #513857
    As a side effect this fixes the following symptoms:
    - Do not do unneeded conffile prompts when it wasn't locally changed.
    - Do not ensure (and thus do not output debug information) that the
     .dpkg-new and .dpkg-tmp directories for an existing directory do not
      exist. Closes: #80416

  [ Raphael Hertzog ]
  * dpkg-deb now always produces GNU tarballs inside .deb and ignores
    TAR_OPTIONS. Closes: #513863

  [ Updated dpkg translations ]
  * Basque (Piarres Beobide). Closes: #506092, #509851
  * Simplified Chinese (Deng Xiyue). Closes: #506177
  * Traditional Chinese (Tetralet). Closes: #513312

  [ Updated dselect translations ]
  * Basque (Piarres Beobide). Closes: #509852
  * Norwegian Bokmål (Hans F. Nordhaug).
  * Portuguese (Miguel Figueiredo). Closes: #509904

  [ Updated scripts translations ]
  * Add missing space in French translation.
    Thanks to Cyril "Oeil de lynx" Brulebois.

 -- Guillem Jover <guillem@debian.org>  Tue, 03 Feb 2009 00:00:41 +0200
