## dpkg 1.14.25maemo2+0m5

=== debian/changelog ===
dpkg (1.14.25maemo2+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Ramanathan Annamalai <ext-ramanathan.2.annamalai@nokia.com>  Tue, 28 Jul 2009 13:16:34 +0300

dpkg (1.14.25maemo2) unstable; urgency=low

  * Call sync() before writing status update journal.
    Fixes: NB#130002 - dpkg doesn't sync enough.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Mon, 27 Jul 2009 10:57:03 +0300

dpkg (1.14.25maemo1) unstable; urgency=low

  * Adapted to maemo.
    - Never build with selinux support.
    - Never run "make check"
    - Moved localization and man pages of dpkg to dpkg-dev.
    - Don't pre-depend on lzma.
    - Don't make dpkg-dev depend on lzma, only suggest it.
    - Ignore errors in update-alternatives that
      happen in /usr/share/{doc,man,info}.
 
 -- Marius Vollmer <marius.vollmer@nokia.com>  Tue, 03 Feb 2009 13:24:20 +0200
