=== debian/rules ===
--- 
+++ 
@@ -30,23 +30,23 @@
 # Don't enable everything on all platforms
 DEB_HOST_ARCH_OS  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
-ifeq ($(DEB_HOST_ARCH_OS),linux)
-	confflags += --with-selinux=static
-endif
-
+#ifeq ($(DEB_HOST_ARCH_OS),linux)
+#	confflags += --with-selinux=static
+#endif
+confflags += --with-selinux=no
 
 # Create configure script if necessary, automake handles rebuilding it.
 configure:
 	dh_testdir
 
-	autoreconf -v -i
+	autoreconf -v -i --force
 
 # Configure the build tree
 build-tree/config.status: configure
 	dh_testdir
 
 	install -d build-tree
-	cd build-tree && ../configure $(confflags) \
+	cd build-tree && PERL=/usr/bin/perl ../configure $(confflags) \
 		CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" \
 		--prefix=/usr \
 		--mandir=\$${datadir}/man \
@@ -66,9 +66,9 @@
 check: build
 	dh_testdir
 
-ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-	cd build-tree && $(MAKE) check
-endif
+#ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
+#	cd build-tree && $(MAKE) check
+#endif
 
 # Install the package underneath debian/tmp
 install: check
